Hi fellow wiki editors!

To help newly registered users get more familiar with the wiki (and maybe older users too) there is now a {{Welcome to the wiki}} template. Have a look at it and feel free to add it to new users discussion pages (and perhaps your own).

I have tried to keep the template short, but meaningful. /Johan G

Changes

Jump to: navigation, search
Move sections about FGRun and FGo! to “Additional programs”
{{Note|<code>./run_fgfs.sh --launcher</code> starts FlightGear with its built-in launcher. If you just do <code>./run_fgfs.sh</code>, FlightGear will be started without any launcher, at the default airport and with the default aircraft.}}
 
=== Launching FGRun ===
 
{{Note|As of 2019, FGRun has been superseded by the [[FlightGear Qt launcher|FlightGear built-in launcher]]. The built-in launcher is the most actively maintained launcher for FlightGear. Other launchers are [[FFGo]] and [[FGX|FGx]].}}
 
[[File:fgrun-page2.jpg|thumb|right]]
Before FlightGear had its built-in launcher (the one you get with <code>run_fgfs.sh --launcher</code>), many users found comfortable having FlightGear launched by the graphical utility [[Fgrun|FGRun]], which is built and installed when <tt>download_and_compile.sh</tt> is run with the FGRUN component. You then have to launch the <tt>run_fgrun.sh</tt> command, for example:
$ cd ~/flightgear/dnc-managed
$ ./run_fgrun.sh
 
FGRun will save its settings in <tt>~/.fltk/flightgear.org/fgrun.prefs</tt>. You may want to save copies of the preferences customized for stable and next.
 
=== Launching FGo! ===
 
{{Note|As of 2019, FGo! is not maintained anymore. You may want to try the built-in launcher (started with <code>run_fgfs.sh --launcher</code>) or [[FFGo]].}}
 
[[File:Fgo01.jpg|thumb|left]]
FGo! is a graphical utility written in [[python]]. It is downloaded and installed when <tt>download_and_compile.sh</tt> is run with the FGO component. You then have to launch the <tt>run_fgo.sh</tt> command, for example:
$ cd ~/flightgear/dnc-managed
$ ./run_fgo.sh
 
Remember that the first time you run it, you have to go to open the ''Preferences'' dialog and set the paths to the <tt>fgfs</tt> executable and to FGData.
=== Avoiding multiple downloads of FGData ===
== Additional programs ==
{{Note|In this section, we assume you've read and followed the advice given in [[#getting-started-with-download-and-compile-sh|Getting started with <tt>download_and_compile.sh</tt>]].}} If you wish to get other programs(precisely: download, build and install them), you need to launch <tt>download_and_compile.sh</tt> with the desired component names as arguments. For instance:
$ cd ~/flightgear/dnc-managed
$ download_and_compile.sh SIMGEAR FGFS DATA OSG
$ download_and_compile.sh --help
=== Launching FGCOM FGCom ===
{{Note|[[FGCom]] has been integrated into FlightGear long ago, therefore the following is not needed in general.}}
[[FGCom]] is the system used by FlightGear to simulate radio communications between users. Launch it It is automatically built and installed when you tell <tt>download_and_compile.sh</tt> to take care of the FGFS component. You can launch the standalone FGCom program by using the <tt>run_fgcom.sh</tt> script:
$ cd ~/flightgear/dnc-managed
$ ./run_fgcom.sh
 
=== FGRun ===
 
{{Note|As of 2019, FGRun has been superseded by the [[FlightGear Qt launcher|FlightGear built-in launcher]]. The built-in launcher is the most actively maintained launcher for FlightGear. Other launchers are [[FFGo]] and [[FGX|FGx]].}}
 
[[File:fgrun-page2.jpg|thumb|right]]
Before FlightGear had its built-in launcher (the one you get with <code>run_fgfs.sh --launcher</code>), many users found comfortable having FlightGear launched by the graphical utility [[Fgrun|FGRun]]. This program is built and installed when <tt>download_and_compile.sh</tt> is run with the FGRUN component. You then have to launch the <tt>run_fgrun.sh</tt> command, for example:
$ cd ~/flightgear/dnc-managed
$ ./run_fgrun.sh
 
FGRun will save its settings in <tt>~/.fltk/flightgear.org/fgrun.prefs</tt>. You may want to save copies of the preferences customized for stable and next.
 
=== FGo! ===
 
{{Note|As of 2019, FGo! is not maintained anymore. You may want to try the built-in launcher (started with <code>run_fgfs.sh --launcher</code>) or [[FFGo]].}}
 
[[File:Fgo01.jpg|thumb|left]]
FGo! is a graphical utility written in [[python]]. It is downloaded and installed when <tt>download_and_compile.sh</tt> is run with the FGO component. You then have to launch the <tt>run_fgo.sh</tt> command, for example:
$ cd ~/flightgear/dnc-managed
$ ./run_fgo.sh
 
Remember that the first time you run it, you have to go to open the ''Preferences'' dialog and set the paths to the <tt>fgfs</tt> executable and to FGData.
== Troubleshooting ==
289
edits

Navigation menu